:host {
    position: initial;

    &.centered {
        align-items: center;
        display: flex;
    }
}

div.alternate-buttons-container {
    div.alternate-button {
        cursor: pointer;
        display: flex;

        &.single-disabled {
            opacity: 0.4;
            pointer-events: none;
        }

        &.single-checked {
            opacity: 1;
            pointer-events: none;
        }

        > div {
            display: flex;
            flex: 1;
            justify-content: center;
        }
    }
}

div.html-buttons-container {
    display: flex;

    div.html-button {
        cursor: pointer;
        display: inline-block;
        //position: relative;
    }
}

img.check {
    position: absolute;
    width: 35px;
    height: 25px;

    &.top {
        top: -9px;
    }

    &.right {
        right: 3px;
    }

    &.bottom {
        bottom: 0;
    }

    &.left {
        left: 3px;
    }
}

div.content-area {
    display: flex;
    margin: auto;

    div.content-box {
        margin: auto;
        position: relative;
        width: 100%;

        .navigation-button-container {
            padding: 10px 7.5px 0 7.5px;
            text-align: right;

            button.navigation-button {
                background: #003F1A;
                border: none;
                border-bottom: 5px solid #B1D34A;
                cursor: pointer;
                padding: 8px 15px;
        
                &:not(:last-child) {
                    margin: 0 10px 0 0;
                }

                &.disabled {
                    cursor: default;
                    opacity: 0.5;
                    pointer-events: none;
                }
            }
        }
    
        img.close-button {
            cursor: pointer;
            position: absolute;
            top: 10px; right: 30px;
        }

        div.content-container {
            //overflow: auto;
            text-align: center;
    
            img.image {
                margin: 0 20px 20px 0;
            }
    
            h1.title {
                color: #3333CC;
                display: inline-block;
                font-family: 'PF Highway Sans Pro';
                font-weight: bold;
                font-size: 40px;
            }
        
            span.text-container {
                display: block;
                text-align: initial;
            }
        
            /deep/ {
                span.highlight {
                    color: #3333CC;
                    font-weight: bold;
                }
            }
        }
    }
}